## glibc 2.25

=== debian/changelog ===
glibc (2.25-3+kbsd.1) unreleased; urgency=medium

  * debian/patches/kfreebsd/local-globfree64.diff: Fix FTBFS on kfreebsd-amd64
    in 2.25-3
  * debian/patches/kfreebsd/local-getentropy.diff: Add getentropy
    implementation for GNU/kFreeBSD
  * debian/patches/kfreebsd/local-shm-directory.diff: Fix using /run/shm for
    sem_open
  * Build with GCC 9

 -- James Clarke <jrtc27@debian.org>  Tue, 17 Dec 2019 17:28:07 +0000

glibc (2.25-3) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix assertion failure in posix_spawn().  Closes: #882794.
    - Fix missing posix_fadvise64 from static mips64el build. Closes:
      #883186.
    - Fix buffer overflow in glob with GLOB_TILDE (CVE-2017-15670).  Closes:
      #879501.
    - Fix memory leak in glob with GLOB_TILDE (CVE-2017-15671).  Closes:
      #879500.
    - Fix a buffer overflow in glob with GLOB_TILDE in unescaping
      (CVE-2017-15804).  Closes: #879955.
  * debian/patches/any/local-dlfptr.diff: remove, it's not used anymore by
    HPPA and causes issues on IA64.  Closes: #882874.
  * debian/patches/submitted-ldconfig-c-collation.diff: New patch to process
    include directives in ldconfig using the C/POSIX collation.
  * debian/patches/ia64/git-ia64-crash-thread-exit.diff: Fix crash on thread
    exit on IA64.  Closes: #883285.
  * debian/sysdeps/x32.mk: set the minimum kernel version to 2.6.32 for the
    libc6-amd64:x32 and libc6-i386:x32 flavours, to match libc6:amd64 and
    libc6:i386.  Closes: #882255.
  * debian/sysdeps/linux.mk: note that all builds for a given gnu triplet
    have the same minimum kernel version.

  [ Samuel Thibault ]
  * libc0.3.symbols.hurd-i386: Update against newer hurd definitions.
  * control: Bump dependency accordingly.

  [ Jason Duerstock ]
  * debian/control.in/libc, debian/control.in/main, debian/rules.d/control.mk:
    Add support for IA64.  Closes: #883012.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 02 Dec 2017 11:07:17 +0100

glibc (2.25-2) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/testsuite-xfail-debian.mk: move corner cases FPU XFAIL from
    mips/mipsel section to mips* section.
  * debian/control.in/libc: add a Conflicts: again openrc (<< 0.27-2~).
    Closes: #882129.
  * debian/control.in/libc: add Breaks: and Replaces against
    kfreebsd-kernel-headers (<< 10.3~4) to avoid <sys/random.h> conflict.
    Closes: #882346.
  * debian/testsuite-xfail-debian.mk: mark tst-create-detached on HPPA.
    Closes: #882152.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Don't use IFUNC resolver for longjmp or system in libpthread.
      Closes: #882336.
  * debian/script.in/nohwcap.sh: always check for all optimized packages
    as multiarch allows one to install foreign architectures.  Closes:
    #882272.

  [ YunQiang Su ]
  * Add symbol files for mipsn32 and mips64.

  [ YunQiang Su / Aurelien Jarno ]
  * Add mipsr6, mipsr6el, mipsn32r6, mipsn32r6el, mips64r6, mips64r6el
    architectures.  Closes: #824985, #881457.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 22 Nov 2017 00:14:20 +0100

glibc (2.25-1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/rules.d/debhelper.mk: relax the dependency on linux-libc-dev
    to the major upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 18 Nov 2017 10:13:37 +0100

glibc (2.25-0experimental4) experimental; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/git-bits-sysmacros.h.diff: New patch.
  * patches/hurd-i386/git-stack_chk_fail_local.diff: New patch.
  * patches/hurd-i386/git-stack-protect-static.diff: New patch.
  * patches/hurd-i386/cvs-libpthread.diff: Update, fixes rt/tst-aio and
    rt/tst-aio64 sync ordering.
  * sysdeps/hurd.mk: Enable stack-protector on the Hurd.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix TLS relocations against local symbols on powerpc, sparc and
      sparc64.  Closes: #874074.
  * Replace debian/patches/mips/submitted-syscalls5-7-unbound-stack.diff
    by the final version git/submitted-syscalls5-7-unbound-stack.diff.
  * debian/rules.d/debhelper.mk: do not install gdb python hooks for stage 1.
    Closes: #874491.
  * Update Portuguese debconf translation, by Pedro Ribeiro.
    Closes: #874610.
  * Update German debconf translation, by Helge Kreutzman.  Closes: #877291.
  * debian/sysdeps/ppc64el.mk: disable lock elision.  Closes:# 878071.
  * debian/script.in/nohwcap.sh: fix alpha ev67 optimized package name.
    Closes: #881147.
  * debian/debhelper.in/libc.postinst, script.in/nsscheck.sh: check for
    postgresql in NSS check.  Closes: #710275.
  * debian/sysdeps/{alpha,hurd-i386,i386}.mk: do not build optimized libraries
    libc6.1-alphaev67, libc6-xen and libc0.3-xen during stage 1 and stage 2.
    Closes: #881455, #881636.
  * debian/rules, debian/sysdeps/*.mk: skip the multilib pass for the nobiarch
    profile (in addition to skipping the package creation).
  * debian/rules: only build -dev multilib packages in stage1.  Closes:
    #881454, #881646.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 14 Nov 2017 23:38:04 +0100

glibc (2.25-0experimental3) experimental; urgency=medium

  [ Aurelien Jarno ]
  * debian/debhelper.in/libc-dev-alt.install, debian/rules.d/debhelper.mk: do
    no try to install libm-*.a for builds without mvec.
  * debian/rules.d/build.mk: run configure with --enable-stack-protector=
    strong.
  * debian/sysdeps/hurd.mk: disable stack-protector on the Hurd.
  * debian/patches/kfreebsd/local-sysdeps.diff: update to revision 6172 (from
    glibc-bsd).
  * debian/rules, debian/rules.d/build.mk, debian/control.in/main: use
    dh_update_autotools_config from debhelper instead of
    dh_autotools-dev_updateconfig from autotools-dev.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 27 Aug 2017 01:49:39 +0200

glibc (2.25-0experimental2) experimental; urgency=medium


