## glibc 2.26

=== debian/changelog ===
glibc (2.26-0ubuntu2.1) artful-security; urgency=medium

  * SECURITY UPDATE: Memory leak in dynamic loader (ld.so)
    - debian/patches/any/cvs-compute-correct-array-size-in-_dl_init_paths.diff:
      Compute correct array size in _dl_init_paths
    - CVE-2017-1000408
  * SECURITY UPDATE: Buffer overflow in dynamic loader (ld.so)
    - debian/patches/any/cvs-count-components-of-expanded-path-in-_dl_init_paths.diff:
      Count components of the expanded path in _dl_init_path
    - CVE-2017-1000409
  * SECURITY UPDATE: One-byte overflow in glob
    - debian/patches/any/cvs-fix-one-byte-glob-overflow.diff: Fix one-byte
      overflow in glob
    - CVE-2017-15670
  * SECURITY UPDATE: Buffer overflow in glob
    - debian/patches/any/cvs-fix-glob-buffer-overflow.diff: Fix buffer overflow
      during GLOB_TILDE unescaping
    - CVE-2017-15804
  * SECURITY UPDATE: Local privilege escalation via mishandled RPATH / RUNPATH
    - debian/patches/any/cvs-elf-check-for-empty-tokens.diff: elf: Check for
      empty tokens before dynamic string token expansion
    - CVE-2017-16997
  * SECURITY UPDATE: Integer overflow in malloc()
    - debian/patches/any/cvs-fix-integer-overflow-in-malloc.diff: Fix integer
      overflow in malloc when tcache is enabled
    - CVE-2017-17426
  * SECURITY UPDATE: Buffer underflow in realpath()
    - debian/patches/any/cvs-make-getcwd-fail-if-path-is-no-absolute.diff:
      Make getcwd(3) fail if it cannot obtain an absolute path
    - CVE-2018-1000001

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 12 Jan 2018 20:42:20 +0000

glibc (2.26-0ubuntu2) artful; urgency=medium

  * Cherry-pick some changes from Debian git for a few pending Ubuntu bugfixes:
    - Update to master and drop redundant submitted-tst-tlsopt-powerpc.diff.
    - debian/patches/any/local-cudacc-float128.diff: Local patch to prevent
      defining __HAVE_FLOAT128 on NVIDIA's CUDA compilers (LP: #1717257)
    - debian/patches/arm/git-arm64-memcmp.diff: Backport optimized memcmp
      for AArch64, improving performance from 25% to 500% (LP: #1720832)
    - debian/patches/amd64/git-x86_64-search.diff: Backport upstream commit
      to put x86_64 back in the search path, like in 2.25 (LP: #1718928)
    - debian/rules.d/debhelper.mk: Filter python hooks in stage1 (LP: #1715366)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 11 Oct 2017 14:21:40 -0600

glibc (2.26-0ubuntu1) artful; urgency=medium

  * Merge with current 2.26 from Debian experimental git, remaining changes:
    - Enable libc6{,-dev}-armel on armhf and libc6{-dev}-armhf on armel.
    - Heavily mangle the way we do service restarting on major upgrades.
    - Build i386 variants as -march=i686, build amd64 with -O3, and build
      ppc64 variants (both 64-bit and 32-bit) with -O3 -fno-tree-vectorize.
    - Build generic i386 flavour with -mno-tls-direct-seg-refs for Xen.
    - Drop the libc6-xen flavour, as the above change covers Xen's needs.
    - Enable systemtap support, which is currently disabled in Debian.
    - Don't build libc-l10n, its contents get stripped for language-packs.
    - Drop libc-bin manpages Recommends to Suggests to keep it in standard.
    - Revert dropping the ldconfig wrapper, xenial still has a lot of
      packages that don't ship a trigger but instead call in postinst.
    - Use DH_COMPAT=8 for dh_strip to fix debug sections for valgrind.
    - Mangle locales package to support Ubuntu language packs seamlessly.
  * debian/rules.d/build.mk: Configure with --enable-obsolete-nsl until we
    sort out a reasonable nsswitch migration strategy from compat to files.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 04 Sep 2017 01:34:21 -0600

glibc (2.26-0experimental0) UNRELEASED; urgency=medium

  * New upstream release (LP: #1703368), with git updates to 2017-09-01:
    - debian/{symbols.wildcards,control}: Update and regen for 2.26.
    - debian/patches/alpha/submitted-termios_h.diff: upstreamed.
    - debian/patches/arm/submitted-strip-bit-0.diff: upstreamed.
    - debian/patches/hurd-i386/git-__inet6_scopeid_pton.diff: upstreamed.
    - debian/patches/any/submitted-string2-strcmp.diff: obsolete.
    - debian/patches/any/local-tst-writev.diff: fixed upstream.
    - debian/patches/any/local-dynamic-resolvconf.diff: fixed upstream.
    - debian/patches/any/submitted-unicode-9.0.0.diff: obsolete.
    - debian/patches/any/cvs-malloc-hardening.diff: upstreamed.
    - debian/patches/any/local-bits-sigstack.diff: fixed upstream.
    - debian/patches/i386/local-cmov.diff: dropped, no longer useful.
    - debian/patches/all/local-ldd.diff: rebased.
    - debian/patches/any/local-ldso-disable-hwcap.diff: rebased.
    - debian/patches/any/local-tcsetaddr.diff: rebased.
    - debian/patches/any/submitted-resolv-unaligned.diff: rebased.
    - debian/patches/arm/local-arm-futex.diff: rebased.
    - debian/patches/hurd-i386/local-ED.diff: rebased.
    - debian/patches/hurd-i386/tg-EGREGIOUS-fr.diff: rebased.
    - debian/patches/hurd-i386/tg-EIEIO-fr.diff: rebased.
    - debian/patches/kfreebsd/submitted-auxv.diff: rebased.
    - debian/patches/kfreebsd/submitted-waitid.diff: rebased.
    - debian/patches/localedata/locales-fr.diff: rebased.
    - debian/patches/powerpc/submitted-tst-tlsopt-powerpc.diff: rebased.
    - debian/patches/sparc/submitted-sparc64-socketcall.diff: rebased.
    - Disabled the following hurd-i386 patches to speed up Linux porting:
      - hurd-i386/tg-hurdsig-global-dispositions.diff: disabled.
      - hurd-i386/local-hurdsig-global-dispositions-version.diff: disabled.
      - hurd-i386/tg-hurdsig-SA_SIGINFO.diff: disabled.
      - hurd-i386/tg-hurdsig-fixes-2.diff: disabled.
      - hurd-i386/submitted-exec_filename.diff: disabled.
      - hurd-i386/tg-hurdsig-boot-fix.diff: disabled.
      - hurd-i386/tg-io_select_timeout.diff: disabled.
      - hurd-i386/tg-poll_errors_fixes.diff: disabled.
      - hurd-i386/tg-socket_flags.diff: disabled.
      - hurd-i386/tg-pipe2.diff: disabled.

