=== debian/rules ===
--- 
+++ 
@@ -95,7 +95,7 @@
 BASE_CC = gcc
 BASE_CXX = g++
 BASE_MIG = mig
-DEB_GCC_VERSION ?= -9
+DEB_GCC_VERSION ?= -6
 
 RUN_TESTSUITE = yes
 
@@ -140,7 +140,7 @@
   DEB_UDEB_PACKAGES = 
 else
   DEB_ARCH_REGULAR_PACKAGES = $(libc) $(libc)-dev $(libc)-dbg $(libc)-pic libc-bin libc-dev-bin multiarch-support
-  DEB_INDEP_REGULAR_PACKAGES = glibc-doc glibc-source libc-l10n locales
+  DEB_INDEP_REGULAR_PACKAGES = glibc-doc glibc-source locales
   DEB_UDEB_PACKAGES = $(libc)-udeb
   ## Locales can only be pre-generated during native compiles
   ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
@@ -163,9 +163,8 @@
 -include debian/sysdeps/$(DEB_HOST_ARCH_OS).mk
 -include debian/sysdeps/$(DEB_HOST_ARCH).mk
 
-ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
-DEB_ARCH_REGULAR_PACKAGES += $(foreach p,$(DEB_ARCH_MULTILIB_PACKAGES), $(if $(findstring -dev,$(p)), $(p)))
-else
+ifeq ($(filter nobiarch,$(DEB_BUILD_PROFILES)),)
+GLIBC_PASSES += $(GLIBC_MULTILIB_PASSES)
 DEB_ARCH_REGULAR_PACKAGES += $(DEB_ARCH_MULTILIB_PACKAGES)
 endif
